i have the same problem. i think they just need to update the mod